Subject: [vwrap] starting point - foundations

From: Meadhbh Hamrick <[email-masked]>
Date: Fri, 28 May 2010 11:15:41 -0700

For what it's worth...

The intro document is a non-normative, informational introduction to
the problem domain. The foundations document is a normative document
detailing the format and processing expectations of facilities
expected to be... well.. foundational. things that didn't have a place
in other documents but were assumed by the other docs to exist.

i'm not sure why you (morgaine) say that the doc is oblivious to the
charter. both documents are referenced in the charter. i don't
understand what you're getting at.

so... that's why the intro doesn't have a lot of technical content...
it's an informational non normative introduction to the problem
domain. it also elaborates on motivations for decisions made in the
charter (which is why there's a lot of background and informational
text.)

it's also why the foundation doc doesn't have a lot of exposition...
extended exposition and motivation that might have been in it got
moved to the intro.

-cheers
-meadhbh
--
meadhbh hamrick * it's pronounced "maeve"
@OhMeadhbh * http://meadhbh.org/ * [email-masked]

On Fri, May 28, 2010 at 7:52 AM, Morgaine
<[email-masked]> wrote:
>
> "Foundation" --- I gave this a "No" because it appears to be an
> "archeological OGP" document, unearthed from the original days of OGP.  It
> does not reflect the OGPX or VWRAP group discussions at all, and is even
> oblivious of the group charter --- notice its attempt to create a single
> "vast, Internet wide virtual world".
>
> What's more, we already have a foundational document --- it's called
> "Introduction and Goals".  Admittedly it's not a very friendly document
> either as background reading nor for the implementer, but nevertheless its
> purpose was to provide the foundation, I believe.  Perhaps the new
> "Foundation" document was a gentle attempt at saying "Unreadable" to the
> first document, and asking for a refactoring?  If so then I'd support that,
> because currently "Introduction and Goals" is a meandering document with
> little clarity of purpose.  Perhaps "Introduction and Goals" should be
> renamed "Protocol Elements" and have all its background sections removed,
> which would then leave room for an "Introduction" document that would
> provide background and glue for everything else, but no details.
>
> I get the feeling that a big refactoring is due.  Documents have been
> appearing out of the blue without any prior discussion of their need or of
> their scope, as a result of which we currently have a random checkerboard of
> documents, and nothing outside of the type system is particularly well
> described or useful so far.
>
>
> Morgaine.
>
>
>
>
>
> =========================================
>
> On Thu, May 27, 2010 at 2:14 AM, Barry Leiba
> <[email-masked]> wrote:
>>
>> It's time to think about which pre-WG documents the working group is
>> ready to adopt.  As I introduce this, I want to stress that adoption
>> of documents does NOT mean that the group has consensus on the current
>> content of those documents, that it collectively agrees with what they
>> say, that the documents are in any sense "ready".  All it means is
>> that the working group thinks they're headed in the right direction,
>> and can be used as a starting point for further refinement.  Indeed,
>> documents adopted as starting points by the working group might have a
>> number of significant revisions before they are declared "ready" and
>> are sent to the IESG.
>>
>> That said, the chairs would like to take a poll on whether the
>> following are ready for adoption on their next revisions:
>>
>> * Introduction and Goals
>> http://tools.ietf.org/html/draft-hamrick-vwrap-intro-01
>>
>> * Trust Model and User Authentication
>> http://tools.ietf.org/html/draft-hamrick-vwrap-authentication-01
>>
>> * Abstract Type System for the Transmission of Dynamic Structured Data
>> http://tools.ietf.org/html/draft-hamrick-vwrap-type-system-00
>>
>> * Client Application Launch Message
>> http://tools.ietf.org/html/draft-hamrick-vwrap-launch-00
>>
>> * Foundation
>> http://tools.ietf.org/html/draft-lentczner-vwrap-foundation-00
>>
>>
>> Please reply in this thread as in this example, listing each document
>> and giving your opinion:
>> > Introduction and Goals - yes
>> > Trust Model and User Authentication - yes
>> > Abstract Type System - yes
>> > Client Application Launch Message - yes
>> > Foundation - yes
>>
>> Please make your opinion either "yes" (the working group should adopt
>> the document) or "no" (the working group should not adopt the
>> document).
>>
>> Please do not discuss anything else in this thread.  If you need to
>> discuss your answer, please start a new thread, with a new subject
>> line, for the discussion.  If you have any issues you prefer to bring
>> to the chairs off-list, contact us at <[email-masked]>.
>>
>> Thanks very much.
>>
>> -- Barry, as chair
>> _______________________________________________
>> vwrap mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/vwrap
>
>
> _______________________________________________
> vwrap mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/vwrap
>
>